// 管理员管理

import axios, { restApi } from "@/utils/req";

const base = `/usersvr/v2/admin`;

export const table = `${base}s`;

export function exports(data, option) {
    return axios.arraybuffer(`${base}/export`, data, option);
}

export function del(id) {
    return axios.delete(`${base}/${id}`, null, { loading: true });
}

// 是否有用户管理权限 {userId}
export function isPower(data) {
    return axios.get("/usersvr/v2/admin/manage/auth", data);
}

// 保存机构范围 -- 修改时
export function saveAppRange(data) {
    return axios.post("/usersvr/v2/admin/mgeApp", data);
}
// 保存机构范围 -- 新增时
export function saveOrgRange(data){
  return axios.post(`/usersvr/v2/admin/mgeOrg`,data)
}

// 保存菜单权限范围
export function saveMenuRange(data) {
    return axios.post(`/usersvr/v2/admin/meun`, data);
}

// 非管理员警员列表
export const tableUnAdminPolices = "/usersvr/v2/admin/unAdminPolices";

// 管理员管理范围--树形
export function orgRange(data) {
    // return axios.post(`/usersvr/admin/right/range`, data);
    return axios.post(`/authsvr/v2/authorginfo/org/tree/admin`, data);
}
// 管理员菜单权限-树形
export function menuRange(data) {
    return axios.post(`/usersvr/v2/admin/meun/range`, data);
}

// 新增管理员
export function addAdmin(data) {
    return axios.post("/usersvr/v2/admin", data);
}
export function getAllMenu(id) {
    return axios.get(`/usersvr/v2/admin/allMenu/${id}`);
}

